import type { _NSObject } from "../Foundation/NSObject.js";
import type { _GKChallengeEventHandlerDelegate } from "./GKChallengeEventHandlerDelegate.js";
export declare class _GKChallengeEventHandler extends _NSObject {
    static alloc(): _GKChallengeEventHandler;
    static new(): _GKChallengeEventHandler;
    init(): _GKChallengeEventHandler;
    /** @deprecated No longer supported. */
    static challengeEventHandler(): _GKChallengeEventHandler;
    /**
     * / It is not safe to read or write this property on anything other than the main thread
     * @deprecated No longer supported.
     */
    delegate(): _GKChallengeEventHandlerDelegate;
    setDelegate$(value: _GKChallengeEventHandlerDelegate): void;
}
